# Created by pyp2rpm-3.1.1
%global pypi_name maxminddb
%global sum Reader for the MaxMind DB format
%global desc This is a Python module for reading MaxMind DB files. \
The module includes both a pure Python reader and an optional \
C extension. MaxMind DB is a binary file format that stores data \
indexed by IP address subnets (IPv4 or IPv6).

Name:           python3-%{pypi_name}
Version:        1.2.1
Release:        3%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://www.maxmind.com/
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  libmaxminddb-devel

BuildRequires:  python34-nose
BuildRequires:  python34-setuptools
BuildRequires:  python34-devel

%{?python_provide:%python_provide python34-%{pypi_name}}

%description
%{desc}

%package doc
Summary:        Documentation for %{pypi_name}

%description doc
This package provides the documentation for %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%check
%{__python3} setup.py test

%files doc
%doc docs/*

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Oct 19 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 1.2.1-3
- Rebuild for Rutgers CentOS 7
- Build only python3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 15 2016 Lumir Balhar <lbalhar@redhat.com> - 1.2.1-1
- Initial package.
